Holger's Java API

## com.antelmann.sql
Interface Reconnectable

All Known Implementing Classes:
  ConnectionWrapper

    public interface Reconnectable

Reconnectable instances are objects that require a connection for certain operations and allow to replace it if a reconnect is required.

Since:
  01.07.2011, 12:03:14
Author:
  Holger Antelmann

Method Summary
`void` `refreshConnection(Connection con)` sets the given connection as the one to use for operations of this instance

Method Detail

### refreshConnection

    void refreshConnection(Connection con)
                           throws SQLException

  sets the given connection as the one to use for operations of this instance

  Throws:
    `SQLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads